body {
  margin: 0;
  padding: 0;
  display: flex;
  height: 100%;
  background-color: #f6f6f6;
}

.left {
  width: 42%;
  flex-direction: column;
  height: 100%;
  overflow: hidden;
}

.leftImg {
  display: flex;
  justify-content: center;
  align-items: center;
}

.leftImg img {
  object-fit: cover;
  height: 100%;
}

.right {
  width: 58%;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #f6f6f6;
}

.rightTop {
  margin-top: 12px;
  width: 90%;
  display: flex;
  justify-content: space-between;
}

/* logo */

.logo {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 28px;
  /* border: 1px solid red; */
}

.logo :first-child {
  width: 4.17vw;
}

.logo :last-child {
  width: 3.13vw;
}

.rightTopTag {
  display: flex;
  align-items: center;
  gap: 8px;
  font-family: public-sans;
  /* border: solid red 1px; */
}

.rightTopTag img {
  width: 2.5vw;
  height: auto;
}

.tagText h1 {
  font-size: 1.35vw;
  font-weight: bold;
  color: #5fa777;
  margin: 0;
}

.tagText h3 {
  font-size: 1.46vw;
  font-weight: normal;
  color: #5fa777;
  margin: 0;
  line-height: 1;
}

.tagText {
  display: flex;
  flex-direction: column;
}

/* form */

/* captcha try */
.rightBottom .formBox{
  display: none; /* Hide the form initially */
}

.rightBottom .captcha {
  display: none; /* Show captcha initially */
}
/* ------------------------- */
.captcha {
  text-align: center;
  /* border: solid 1px black; */
  box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
  padding: 60px 80px; 
}

.captcha h3{
  color: var(--Gray-900, #191B1C);
font-family: "Public Sans";
font-size: 20px;
font-style: normal;
font-weight: 600;
line-height: 24px; /* 120% */
}

#captcha-canvas {
  border: 1px solid #ccc;
  background-color: #f8f8f8;
}

.captchaBox{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  margin-top: 28px;
  margin-bottom: 20px;
}

#captcha-input {
  width: 200px;
  font-size: 16px;
}

#captcha-submit {
  padding: 8px 15px;
  background-color: #5ea776;
  color: white;
  border: none;
  cursor: pointer;
}

#captcha-submit:hover {
  background-color: #0f6609;
}



/* captcha try end */

.rightBottom {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 28px;
  font-family: "Public Sans", sans-serif;
  /* margin: 2% auto; */
  /* border: solid 1px black; */
}

.rightBottom h1 {
  width: 25vw;
  font-family: "Public Sans", sans-serif;
  font-weight: 800;
  font-size: 40px;
  color: #0f6609;
  margin: 0;
  margin-top: 30px;
}

.formBox {
  width: 42vw;
  /* width: 664px; */
  padding: 28px;
  /* padding-left: 10px; */
  text-align: center;
  background-color: #ffffff;
  border-radius: 8px;
  box-shadow: 0px 4px 12px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column !important ;
  justify-content: center !important ;
  /* border: solid 1px black; */
}

.formBox h1 {
  width: 100%;
  font-family: "Public Sans", sans-serif;
  text-align: center;
  font-weight: 600;
  font-size: 24px;
  color: #19181c;
  margin-bottom: 24px;
}

.heading {
  font-family: "Public Sans", sans-serif;
  font-size: 28px;
  font-weight: 800;
  color: #0f6609;
  margin: 0;
  width: 22vw;
  text-align: center;
}

.departmentBox {
  grid-area: dep;
}
.designationBox {
  grid-area: des;
}

.name {
  grid-area: name;
}

.divisionBox {
  grid-area: div;
}

.districtBox {
  grid-area: dis;
}

.placeBox {
  grid-area: place;
}

.departmentCodeBox{
  grid-area: code;
}

.mobileBox{
  grid-area: mobile;
}

.emailBox {
  grid-area: email;
  /* border: solid 1px #e5e7e8 !important; */
  width: 37.2vw !important;
  padding: 0 0 0 1.12vw !important;
}

.password{
  grid-area: password;
}

.comPassword{
  grid-area: comPassword;
}

.formInput {
  display: grid;
  /* grid-template-columns: 1fr 1fr;
  grid-template-rows: auto; */
  grid-template-areas: 
    "dep dep des des"
    "name name div div"
    "dis dis place place"
    "code code mobile mobile"
    "email email email email"
    "password passowrd comPassword comPassword";
  align-items: center !important ;
  justify-items: center !important;
  gap: 20px;
  text-align: start !important;
  /* border: solid 1px black; */
}

.formInput #email {
  grid-column: span 2; 
  width: 100% !important;
  /* margin: 0; */
  /* border: solid 1px black; */
}

.form-select {
  border-color: #e5e7e8 !important;
  border-radius: 4px !important;
  width: 16vw !important;
  height: 40px !important;
  font-size: 16px !important;
  font-family: "Public Sans", sans-serif !important;
  color: #959fa3 !important;
}

.formInput input {
  border-radius: 4px !important;
  width: 16vw !important;
  height: 40px !important;
  font-family: "Public Sans", sans-serif !important;
  /* border: solid 1px #ff0808 !important; */
}

.formInput input::placeholder {
  color: #959fa3 !important;
}

label {
  color: #191b1c !important;
  font-family: "Public Sans", sans-serif !important;
  font-weight: 400 !important;
  font-size: 14px !important;
}

#login {
  width: 93%;
  border-radius: 32px;
  background-color: #5fa777;
  color: white;
  border: none;
  padding: 8px;
  margin-top: 24px;
}

.formBox p {
  margin: 0;
  margin-top: 10px;
  font-size: 14px;
  font-weight: 500;
  color: #2d3748;
}

.formBox p a {
  color: #5ea776;
}


.form-control:focus,
.form-select:focus {
  border-color: #5fa777 !important ;
  box-shadow: none !important ;
  outline: none; 
}

/* password  */

.password1{
  /* border: solid 1px #e5e7e8 !important; */
  margin: 0 0 0 1.5vw !important;
  width: 16vw !important;
}

.password1 input{
  border-radius: 4px !important;
  width: 100% !important;
  height: 40px !important;
  font-family: "Public Sans", sans-serif !important;
  /* border: solid 1px #ff0808 !important; */
}

.input-group {
  position: relative;
  width: 16vw !important;
  /* border: solid 1px #e5e7e8 !important; */
  
}

.input-group .toggle-password {
  position: absolute;
  right: 10px;
  top: 65%;
  transform: translateY(-50%);
  cursor: pointer;
  font-size: 1.2em;
  z-index: 1;
}

.input-group input:focus + .toggle-password,
.input-group input:focus-visible + .toggle-password {
  z-index: 10;
}



/* model */

/* The Modal background */
.modal {
  display: none; /* Hidden by default */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5); 
  justify-content: center;
  align-items: center;
  
}

/* Modal Content */
.modal-content {
  background-color: #fff;
  padding: 20px;
  border-radius: 5px;
  max-width: 664px;
  width: 38vw;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  position: relative;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.modal-content button{
  background-color: #185ADB;
  color: white;
  width: 150px;
  border-radius: 50px;
  padding: 12px 8px;
  font-size: 14px;
  font-weight: 600;
  cursor: pointer;
  transition: background-color 0.5s;
  margin-top: 8px;
}

.modal-head{
  /* border: solid 1px black; */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 8px;

}

.modal-head p{
  font-family: "Public Sans";
  font-weight: 600;
  font-size: 18px;
  color: #191B1C;
  margin: 0;
}

.modal-head div{
  border: solid 1px #AF790F;
  height: 28px;
  display: flex;
  justify-content: center;
  align-items: center;     
  font-size: 14px;
  font-weight: 400;
  color: #B5781D;
  padding: 8px;
  text-align: center;
  background-color: #FFF5ED;
  margin: 0;
}

/* Close Button */
.close {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 24px;
  color: #333;
  cursor: pointer;
}

.modal-body{
  display: flex;
  flex-direction: column;
  text-align: start;
  /* justify-content: start; */
  align-items: start;
  gap: 12px;
  margin: 24px 0 0 0;
}

.modal-body p{
  font-family: "Public Sans";
  font-weight: 400;
  font-size: 16px;
  color: #191B1C;
}